Sayr
ReferenceTasks

Create Task

POST
/me/task

Create a new task in the organization.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

title*string
Length1 <= length
description?string
status?string

Value in

  • "backlog"
  • "todo"
  • "in-progress"
  • "done"
  • "canceled"
priority?string

Value in

  • "none"
  • "low"
  • "medium"
  • "high"
  • "urgent"
category?string
orgId*string
integration?|null
createdBy?|null

Response Body

application/json

application/json

curl -X POST "https://example.com/me/task" \  -H "Content-Type: application/json" \  -d '{    "title": "My Task",    "description": "Task description",    "orgId": "abc123"  }'
{  "success": true,  "data": {    "id": "string",    "title": "string",    "shortId": "string",    "orgSlug": "string",    "publicPortalUrl": "string"  }}